:root {
  --main-black: #262d34;
  --main-blue: #0e5aa8;
  --sub-blue: #27a5b8;
  --accent-orange: #f68517;
  --gray-heavy: #8c969f;
  --gray-normal: #d0d0d0;
  --gray-light: #f5f5f5;
  --white: #ffffff;
}

html {
  font-size: clamp(6px, 0.6944vw, 24px);
}

@media screen and (max-width: 1024px) {
  html {
    font-size: clamp(6px, 0.976vw, 24px);
  }
}

@media screen and (max-width: 768px) {
  html {
    font-size: clamp(6px, 2.5vw, 24px);
  }
}

body {
  color: var(--main-black);
  font-size: 1.6rem;
  line-height: 1.7;
  font-family: hiragino-kaku-gothic-pron, sans-serif;
  font-weight: 300;
  letter-spacing: 0.075em;
  word-wrap: break-word;
  -webkit-text-size-adjust: 100%;
  font-feature-settings: "palt";
  animation: PageFadeIn 1.2s forwards;

  &.is-active {
    height: 100vh;
    overflow: hidden;
  }
}

@keyframes PageFadeIn {
  0% {
    opacity: 0.5;
  }
  100% {
    opacity: 1;
  }
}

h1,
h2,
h3,
h4,
h5 {
  letter-spacing: 0.1em;
  line-height: 1.4;
  font-family: "Toppan BunkyuMinchoPr6N", serif;
}

h1 {
  font-size: 4.4rem;
}

h2 {
  font-size: 3.6rem;
}

h3 {
  font-size: 3.2rem;
}

h4 {
  font-size: 2.4rem;
}

h5 {
  font-size: 1.8rem;
}

@media screen and (max-width: 768px) {
  h1 {
    font-size: 4rem;
  }

  h2 {
    font-size: 3.2rem;
  }

  h3 {
    font-size: 2.4rem;
  }

  h4 {
    font-size: 2.1rem;
  }

  h5 {
    font-size: 1.8rem;
  }
}

input,
select,
button {
  font-size: 16px;
}

main {
  overflow-x: clip;
}

table {
  border-collapse: collapse;
  border: solid 1px var(--gray-normal);
  width: 100%;
  background-color: var(--white);
  font-size: 1.4rem;

  th {
    background-color: var(--gray-heavy);
    color: var(--white);
    padding: 0.8rem 1.6rem;
    font-weight: 600;
    border: solid 1px var(--gray-normal);
    vertical-align: middle;
  }

  td {
    padding: 0.8rem 1.6rem;
    border: solid 1px var(--gray-normal);
    vertical-align: middle;
  }

  p {
    margin: 0;
  }
}

main {
  padding-bottom: 12rem;
}

.pc-only {
  display: inline-block;
}

.sp-only {
  display: none;
}

@media screen and (max-width: 768px) {
  .pc-only {
    display: none;
  }

  .sp-only {
    display: inline-block;
  }
}

.fadein {
  opacity: 0;
  transform: translateY(1.2rem);
  transition: 0.6s ease-in-out;
  &.is-active {
    opacity: 1;
    transform: translateY(0);
  }
}

#loading {
  display: none;
  position: fixed;
  inset: 0;
  width: 100vw;
  height: 100svh;
  background-color: var(--main-blue);
  z-index: 99999;
  clip-path: polygon(0 0, 100% 0, 100% 100%, 0% 100%);
  transition: 0.6s 4s cubic-bezier(0.85, 0.09, 0.15, 0.91);

  .loading__logo {
    position: absolute;
    top: 100%;
    left: 50%;
    transform: translate(-50%, 100%);
    display: block;
    margin: 0 auto 2.4rem;
    width: 24rem;
    aspect-ratio: 213 / 62;
    mask-image: url("../img/header-logo__wh.svg");
    mask-size: 100%;
    mask-position: center;
    background-color: var(--white);
    z-index: -1;
  }

  &.is-active {
    clip-path: polygon(0 0, 100% 0, 100% 0, 0 0);

    .loading__logo {
      animation: Loading-PC 3.2s 0.8s 1 forwards;
    }
  }
}

.loading__inner {
  display: flex;
  align-items: center;
  justify-content: center;
  padding-top: 8rem;
  height: 100%;
  width: 100%;

  &::before {
    content: "";
    display: inline-block;
    position: absolute;
    bottom: 0;
    width: 100%;
    height: calc(50% - 4rem);
    background-color: var(--main-blue);
    z-index: 2;
  }
}

.loading__content {
  width: 100%;
  overflow-x: clip;
}

.loading__wave {
  position: relative;
  display: flex;
  width: 200vw;
  z-index: 2;

  &::before,
  &::after {
    content: "";
    display: inline-block;
    width: 100vw;
    height: 1rem;
    background-image: url("../img/loading-wave-line.svg");
    background-size: 30rem 1rem;
  }

  &::before {
    animation: loop 50s -25s linear infinite;
  }

  &::after {
    animation: loop2 50s linear infinite;
  }
}

.loading__counter {
  position: absolute;
  z-index: 2;
  top: calc(50% + 6.4rem);
  left: 50%;
  transform: translateX(-50%);
  color: var(--white);
  display: flex;
  align-items: center;
  gap: 0.8rem;
  font-family: berthold-baskerville-pro, serif;

  .loading__counter__item {
    font-size: 2.1rem;
  }

  > span {
    font-size: 1.4rem;
  }
}

@media screen and (max-width: 768px) {
  #loading {
    &.is-active {
      .loading__logo {
        animation: Loading-SP 3.2s 0.8s 1 forwards;
      }
    }
  }
}

@keyframes Loading-PC {
  0% {
    top: 100%;
    left: 50%;
    transform: translate(-50%, -50%);
    width: 10rem;
    filter: blur(15rem);
  }

  20% {
    top: 50%;
    left: 50%;
    transform: translate(-50%, -75%);
    width: 10rem;
    filter: blur(5rem);
  }

  80% {
    top: 50%;
    left: 50%;
    transform: translate(-50%, -75%);
    width: 21rem;
    filter: blur(0);
  }

  100% {
    top: 1.8rem;
    left: 2.4rem;
    transform: translate(0, 0);
    width: 21rem;
    filter: blur(0);
  }
}

@keyframes Loading-SP {
  0% {
    top: 50%;
    left: 50%;
    transform: translate(-50%, 100%);
    width: 10rem;
    filter: blur(15rem);
  }

  20% {
    top: 50%;
    left: 50%;
    transform: translate(-50%, -75%);
    width: 10rem;
    filter: blur(5rem);
  }

  80% {
    top: 50%;
    left: 50%;
    transform: translate(-50%, -75%);
    width: 14rem;
    filter: blur(0);
  }

  100% {
    top: 1.8rem;
    left: 1.2rem;
    transform: translate(0, 0);
    width: 14rem;
  }
}

header {
  position: relative;
  padding: 1.8rem 2.4rem;
  display: flex;
  align-items: center;
  justify-content: space-between;
  gap: 1.6rem;
  z-index: 99;
  padding-right: 12rem;
  background-color: var(--white);
}

.header-logo__img {
  display: inline-block;
  width: 21rem;
}

.header-since {
  display: inline-block;
  position: absolute;
  top: 100%;
  transform: translateY(-1px);
  left: 0;
  padding-left: 2.4rem;
  width: 20rem;
  aspect-ratio: 20 / 5.2;
  font-size: 1.4rem;
  font-family: berthold-baskerville-pro, serif;
  background-image: url("../img/header-wave__wh.svg");
  background-repeat: no-repeat;
  background-size: contain;
}

.header-nav {
  display: flex;
  gap: 3.2rem;
  margin-left: auto;
}

.header-nav__list {
  display: flex;
  align-items: center;
  gap: 3.2rem;
  font-size: 1.4rem;

  > li > a {
    display: block;
    color: var(--main-black);
    overflow: hidden;
    color: transparent;
    text-shadow: 0 -1.5em 0 var(--main-black), 0 0 0 var(--main-black);
    transition: 0.3s ease;
    &:hover {
      text-shadow: 0 0 0 var(--main-blue), 0 1.5em 0 var(--main-blue);
    }
  }
}

.header-toggle__link {
  position: relative;
  padding-right: 2.4rem;
  display: block;
  height: 100%;

  span {
    position: absolute;
    top: 50%;
    transform: translateY(-50%);
    right: 0;
    display: inline-block;
    width: 2rem;
    height: 2rem;

    &::before,
    &::after {
      content: "";
      position: absolute;
      top: 50%;
      left: 50%;
      transform: translate(-50%, -50%);
      display: inline-block;
      width: 1.2rem;
      height: 1px;
      background-color: var(--main-blue);
      transition: 0.3s ease-in;
    }

    &::after {
      transform: translate(-50%, -50%) rotate(90deg);
    }
  }
}

.mage-menu {
  visibility: hidden;
  opacity: 0;
  position: absolute;
  top: calc(100% - 0.8rem);
  left: 50%;
  transform: translateX(-50%);
  width: 80%;
  padding: 4rem;
  background-color: var(--main-blue);
  transition: 0.3s ease-in;
  border-radius: 2.4rem;
  box-shadow: 0.2rem 0.4rem 1.6rem rgba(0, 0, 0, 0.12);
}

.mage-menu__inner {
  width: 100%;
  margin-bottom: 4rem;

  &:last-of-type {
    margin-bottom: 0;
  }
}

.mage-menu__title {
  display: flex;
  align-items: center;
  gap: 1.6rem;
  color: var(--white);
  font-size: 2.4rem;
  font-weight: 600;
  letter-spacing: 0.1em;
  font-family: "Toppan BunkyuMinchoPr6N", serif;
  margin: 0 0 0.8rem;

  &::before {
    content: "";
    display: inline-block;
    width: 0.8rem;
    height: 0.8rem;
    background-color: var(--sub-blue);
    border-radius: 50%;
  }
}

.mage-menu__list {
  display: flex;
  flex-wrap: wrap;
  gap: 1.6rem;
  color: var(--white);

  > li {
    width: calc(100% / 5 - (1.6rem * 4 / 5));

    a {
      display: block;
      color: var(--white);

      figure {
        border-radius: 0.8rem;
        aspect-ratio: 2 / 1;
        overflow: hidden;
        border: solid 0.4rem transparent;
        transition: 0.4s;

        img {
          object-fit: cover;
          width: 100%;
          height: 100%;
          transition: 0.4s;
        }
      }

      p {
        display: flex;
        align-items: center;
        justify-content: space-between;
        margin: 0.8rem 0.8rem 0;
        font-size: 1.2rem;

        &::after {
          content: "";
          display: inline-block;
          width: 1.6rem;
          height: 1.6rem;
          mask-position: center center;
          mask-repeat: no-repeat;
          mask-size: contain;
          mask-image: url(../img/icon-arrow.svg);
          background-color: var(--white);
          transition: 0.4s;
        }
      }
    }
  }
}

.header-btn__list {
  display: flex;
  align-items: center;
  gap: 1.6rem;
}

.header-search__item {
  position: relative;
  border-radius: 4rem;
  overflow: hidden;
  border: solid 1px var(--main-blue);
  background-color: var(--white);

  a {
    position: relative;
    display: flex;
    align-items: center;
    column-gap: 0.8rem;
    padding: 1.2rem 2.4rem;
    color: var(--white);
    transition: 0.4s;
    font-size: 1.2rem;
    z-index: 2;
    transition: 0.4s;

    &::before {
      content: "";
      display: inline-block;
      width: 1.6rem;
      height: 1.6rem;
      mask-position: center center;
      mask-repeat: no-repeat;
      mask-size: contain;
      mask-image: url(../img/icon-search.svg);
      background-color: var(--white);
      transition: 0.4s;
    }
  }

  &::before {
    content: "";
    display: inline-block;
    position: absolute;
    top: 0;
    right: 0;
    height: 100%;
    width: 100%;
    background-color: var(--main-blue);
    transition: 0.4s;
  }
}

.header-contact__item {
  position: relative;
  border-radius: 4rem;
  overflow: hidden;
  border: solid 1px var(--accent-orange);
  background-color: var(--white);

  a {
    position: relative;
    display: flex;
    align-items: center;
    column-gap: 0.8rem;
    padding: 1.2rem 2.4rem;
    color: var(--white);
    font-size: 1.2rem;
    z-index: 2;
    transition: 0.4s;

    &::before {
      content: "";
      display: inline-block;
      width: 1.6rem;
      height: 1.6rem;
      mask-position: center center;
      mask-repeat: no-repeat;
      mask-size: contain;
      mask-image: url(../img/icon-mail.svg);
      background-color: var(--white);
      transition: 0.4s;
    }
  }

  &::before {
    content: "";
    display: inline-block;
    position: absolute;
    top: 0;
    right: 0;
    height: 100%;
    width: 100%;
    background-color: var(--accent-orange);
    transition: 0.4s;
  }
}

@media (any-hover: hover) {
  .header-nav__list {
    > li > a:hover {
      text-shadow: 0 0 0 var(--main-blue), 0 1.5em 0 var(--main-blue);
    }
  }

  .header-toggle__item:hover {
    .header-toggle__link {
      span {
        &::before {
          opacity: 0;
        }
        &::after {
          transform: translate(-50%, -50%) rotate(0);
        }
      }
    }
    .mage-menu {
      visibility: visible;
      opacity: 1;
    }
  }

  .mage-menu__list {
    > li {
      a:hover {
        text-decoration: underline;
        figure {
          border: solid 0.4rem var(--white);
          img {
            transform: scale(1.1);
          }
        }
        p {
          &::after {
            transform: translateX(0.8rem);
          }
        }
      }
    }
  }

  .header-search__item:hover {
    a {
      color: var(--main-blue);
      &::before {
        background-color: var(--main-blue);
      }
    }
    &::before {
      width: 0;
    }
  }

  .header-contact__item:hover {
    a {
      color: var(--accent-orange);
      &::before {
        background-color: var(--accent-orange);
      }
    }
    &::before {
      width: 0;
    }
  }
}

@media screen and (max-width: 1024px) {
  .header-nav__list {
    display: none;
  }
}

@media screen and (max-width: 768px) {
  header {
    padding: 1.8rem 1.2rem;
    padding-right: 8rem;
  }

  .header-logo__img {
    width: 14rem;
  }

  .header-since {
    font-size: 1rem;
    padding-left: 1.2rem;
    width: 14rem;
  }

  .header-search__item {
    display: none;
  }

  .header-contact__item {
    a {
      padding: 0.8rem 1.8rem;
    }
  }
}

.humberger {
  display: inline-block;
  position: fixed;
  top: 1.2rem;
  right: 2.4rem;
  width: 6.5rem;
  aspect-ratio: 1 / 1;
  border: solid 1px var(--main-blue);
  background-color: var(--white);
  border-radius: 50%;
  cursor: pointer;
  z-index: 9999;
  transition: 0.6s ease;

  &::before,
  &::after {
    content: "MENU";
    display: inline-block;
    position: absolute;
    top: calc(50% + 1.2rem);
    left: 50%;
    transform: translate(-50%, -50%);
    color: var(--main-blue);
    font-size: 1rem;
    font-family: berthold-baskerville-pro, serif;
    transition: 0.4s ease-in;
    letter-spacing: 0em;
  }

  &::after {
    opacity: 0;
    content: "CLOSE";
  }

  > span {
    position: absolute;
    top: calc(50% - 0.4rem);
    left: 50%;
    transform: translate(-50%, -50%);
    display: block;
    width: 2.4rem;
    height: 1px;
    background-color: var(--main-blue);
    transition: 0.4s ease-in;

    &:first-of-type {
      top: calc(50% - 1.2rem);
    }
  }

  &.is-active::before {
    opacity: 0;
  }

  &.is-active::after {
    opacity: 1;
  }

  &.is-active > span {
    top: calc(50% - 0.8rem);
    transform: translate(-50%, -50%) rotate(225deg);

    &:first-of-type {
      top: calc(50% - 0.8rem);
      transform: translate(-50%, -50%) rotate(-225deg);
    }
  }

  &.fixed {
    position: fixed;
    box-shadow: 0.2rem 0.2rem 1.6rem rgba(0, 0, 0, 0.18);
    width: 9.6rem;
  }
}

.humberger-content {
  visibility: hidden;
  opacity: 0;
  position: fixed;
  inset: 0;
  z-index: 9998;
  background-color: var(--main-blue);
  height: 100vh;
  width: 100%;
  transition: 0.4s ease-in;
  overflow-y: auto;
  border-radius: 8rem;

  &.is-active {
    visibility: visible;
    opacity: 1;
    border-radius: 0;
  }
}

.humberger-logo {
  padding: 1.8rem 2.4rem;
}

.humberger-logo__img {
  display: inline-block;
  width: 21rem;
}

.humberger-inner {
  padding: 12rem;
}

.humberger-nav {
  display: flex;
  align-items: flex-start;
  justify-content: center;
  column-gap: 12rem;
  margin-bottom: 8rem;
}

.humberger-main__list {
  margin-bottom: 4rem;

  > li {
    margin-bottom: 4rem;

    &:last-of-type {
      margin-bottom: 0;
    }
  }

  a {
    position: relative;
    display: inline-block;
    padding-left: 2.4rem;
    font-weight: 600;
    font-size: 2.1rem;
    color: #fff;
    transition: 0.4s;

    &::before {
      content: "";
      position: absolute;
      top: 50%;
      transform: translateY(-50%) rotate(45deg);
      left: 0;
      display: inline-block;
      height: 0.8rem;
      width: 0.8rem;
      border-top: solid 0.2rem var(--gray-light);
      border-right: solid 0.2rem var(--gray-light);
    }
  }
}

.humberger-sub__content {
  padding-left: 2.4rem;
}

.humberger-sub__inner {
  > p {
    color: #fff;
    border-bottom: solid 1px var(--gray-normal);
    margin-top: 4rem;
  }
}

.humberger-sub__list {
  padding-left: 2.4rem;
  > li {
    margin-bottom: 1.6rem;

    &:last-of-type {
      margin-bottom: 0;
    }
  }
  a {
    font-size: 1.6rem;
  }
}

.humberger-sns {
  display: flex;
  align-items: center;
  justify-content: center;
  gap: 4rem;
  padding: 1.2rem 4rem;
  border-radius: 4rem;
  background-color: #fff;
  width: fit-content;
  margin: 0 auto 8rem;

  > p {
    font-size: 1.2rem;
    margin: 0;
  }
}

.humberger-sns__list {
  display: flex;
  justify-content: center;
  align-items: center;
  gap: 2.4rem;

  > li a {
    display: inline-block;
    width: 3rem;
    height: 3rem;

    img {
      width: 100%;
    }
  }
}

.humberger-other {
  padding-top: 8rem;
  border-top: solid 1px var(--gray-normal);
}

.humberger-other__list {
  display: flex;
  justify-content: center;
  flex-wrap: wrap;
  gap: 4.8rem;

  > li a {
    display: flex;
    align-items: center;
    column-gap: 0.8rem;
    font-size: 1.2rem;
    color: var(--gray-normal);

    &::after {
      content: "";
      display: inline-block;
      width: 1.4rem;
      aspect-ratio: 1 / 1;
      mask-image: url(../img/icon-link-out.svg);
      mask-repeat: no-repeat;
      mask-position: center;
      mask-size: contain;
      background-color: var(--gray-normal);
    }
  }
}

.humberger-btn__list {
  margin-bottom: 4rem;

  > li {
    margin-bottom: 4rem;

    &:last-of-type {
      margin-bottom: 0;
    }
  }
}

.humberger-search__item {
  position: relative;
  border-radius: 4rem;
  overflow: hidden;
  background-color: var(--white);
  border: solid 1px var(--white);

  a {
    position: relative;
    display: flex;
    justify-content: center;
    align-items: center;
    column-gap: 1.6rem;
    padding: 2.1rem 4rem;
    color: var(--white);
    font-size: 1.6rem;
    z-index: 2;
    transition: 0.4s;

    &::before {
      content: "";
      display: inline-block;
      width: 2.4rem;
      height: 2.4rem;
      mask-position: center center;
      mask-repeat: no-repeat;
      mask-size: contain;
      mask-image: url(../img/icon-search.svg);
      background-color: var(--white);
      transition: 0.4s;
    }
  }

  &::before {
    content: "";
    display: inline-block;
    position: absolute;
    top: 0;
    right: 0;
    width: 100%;
    height: 100%;
    background-color: var(--main-blue);
    transition: 0.4s;
  }
}

.humberger-contact__item {
  position: relative;
  border-radius: 4rem;
  overflow: hidden;
  background-color: var(--white);
  border: solid 1px var(--accent-orange);

  a {
    position: relative;
    display: flex;
    align-items: center;
    justify-content: center;
    column-gap: 1.6rem;
    padding: 2.4rem 4.8rem;
    color: var(--white);
    font-size: 1.6rem;
    z-index: 2;
    transition: 0.4s;

    &::before {
      content: "";
      display: inline-block;
      width: 2.4rem;
      height: 2.4rem;
      mask-position: center center;
      mask-repeat: no-repeat;
      mask-size: contain;
      mask-image: url(../img/icon-mail.svg);
      background-color: var(--white);
      transition: 0.4s;
    }
  }

  &::before {
    content: "";
    display: inline-block;
    position: absolute;
    top: 0;
    right: 0;
    height: 100%;
    width: 100%;
    background-color: var(--accent-orange);
    transition: 0.4s;
  }
}

@media (any-hover: hover) {
  .humberger-main__list {
    a:hover {
      opacity: 0.6;
      transform: translateX(0.4rem);
    }
  }

  .humberger-search__item:hover {
    a {
      color: var(--main-blue);

      &::before {
        background-color: var(--main-blue);
      }
    }

    &::before {
      width: 0;
    }
  }

  .humberger-contact__item:hover {
    a {
      color: var(--accent-orange);

      &::before {
        background-color: var(--accent-orange);
      }
    }

    &::before {
      width: 0;
    }
  }
}

@media screen and (max-width: 1024px) {
  .humberger-inner {
    padding: 12rem 2.4rem;
  }
}

@media screen and (max-width: 768px) {
  .humberger {
    top: 1.2rem;
    right: 1.2rem;
    width: 5.5rem;

    &.fixed {
      width: 8rem;
    }
  }

  .humberger-logo {
    padding: 1.8rem 1.2rem;
  }

  .humberger-logo__img {
    width: 14rem;
  }

  .humberger-nav {
    display: block;
  }

  .humberger-other__list {
    gap: 2.4rem;
  }
}

.main-heading {
  width: fit-content;
  margin-bottom: 2.4rem;
  opacity: 0;
  transition: 0.6s;

  > span {
    position: relative;
    color: var(--main-blue);
    display: inline-block;
    margin-bottom: 0.8rem;
    clip-path: polygon(0 0, 0 0, 0 100%, 0% 100%);
    transition: 0.3s ease-in-out;

    &::before {
      content: "";
      display: inline-block;
      position: absolute;
      top: 0;
      right: 0;
      width: 100%;
      height: 100%;
      background-color: var(--main-blue);
      z-index: 1;
      transition: 0.3s 0.3s ease-in-out;
    }
  }

  h2 {
    position: relative;
    font-size: 4rem;
    font-family: "Toppan BunkyuMinchoPr6N", serif;
    font-weight: 400;
    clip-path: polygon(0 0, 0 0, 0 100%, 0% 100%);
    transition: 0.3s 0.3s ease-in-out;

    &::before {
      content: "";
      display: inline-block;
      position: absolute;
      top: 0;
      right: 0;
      width: 100%;
      height: 100%;
      background-color: var(--main-blue);
      z-index: 1;
      transition: 0.6s 0.6s ease-in-out;
    }
  }

  &.is-active {
    transform: translateY(0);
    opacity: 1;

    > span {
      clip-path: polygon(0 0, 100% 0, 100% 100%, 0% 100%);

      &::before {
        width: 0;
      }
    }

    > h2 {
      clip-path: polygon(0 0, 100% 0, 100% 100%, 0% 100%);

      &::before {
        width: 0;
      }
    }
  }
}

body:not(.home) {
  .main-heading {
    > span {
      font-size: 1.4rem;
    }

    h2 {
      font-size: 3.4rem;
    }
  }
}

@media screen and (max-width: 1024px) {
  .humberger-inner {
    padding: 12rem 2.4rem;
  }
}

@media screen and (max-width: 768px) {
  .main-heading {
    h2 {
      font-size: 3.6rem;
    }
  }
}

.main-btn {
  position: relative;
  display: flex;
  align-items: center;
  width: fit-content;
  gap: 1.6rem;
  padding: 0.8rem 1.6rem 2.4rem 2.4rem;
  font-weight: 600;
  color: var(--main-blue);
  overflow: hidden;

  &.center {
    margin: 0 auto;
  }

  .main-btn__arrow {
    position: relative;
    display: inline-block;
    width: 4rem;
    height: 4rem;
    border: solid 1px transparent;
    border-radius: 50%;
    overflow: hidden;
    transition: 0.4s ease;

    &::before,
    &::after {
      content: "";
      position: absolute;
      top: 50%;
      left: 50%;
      display: inline-block;
      width: 1.6rem;
      height: 1.6rem;
      mask-repeat: no-repeat;
      mask-size: contain;
      mask-image: url(../img/icon-arrow.svg);
      background-color: var(--main-blue);
    }

    &::before {
      transform: translate(-50%, -50%);
    }

    &::after {
      transform: translate(-500%, -50%);
    }
  }

  .main-btn__wave {
    display: flex;
    position: absolute;
    left: 0;
    bottom: 0;

    &::before,
    &::after {
      content: "";
      display: inline-block;
      width: 30rem;
      height: 1rem;
      background-image: url("../img/btn-wave-line.svg");
      background-size: 30rem 1rem;
    }

    &::before {
      animation: loop 50s -25s linear infinite;
    }

    &::after {
      animation: loop2 50s linear infinite;
    }
  }
}

@keyframes loop {
  0% {
    transform: translateX(100%);
  }
  100% {
    transform: translateX(-100%);
  }
}

@keyframes loop2 {
  0% {
    transform: translateX(0);
  }
  100% {
    transform: translateX(-200%);
  }
}

@media (any-hover: hover) {
  .main-btn:hover {
    .main-btn__arrow {
      border: solid 1px var(--main-blue);

      &::before,
      &::after {
        transition: 0.6s ease;
      }

      &::before {
        transform: translate(500%, -50%);
      }

      &::after {
        transform: translate(-50%, -50%);
      }
    }

    .main-btn__wave {
      &::before {
        animation: loop 8s -4s linear infinite;
      }

      &::after {
        animation: loop2 8s linear infinite;
      }
    }
  }
}

a.stalker-button__wrap {
  width: 40rem;
  height: 40rem;
  display: flex;
  justify-content: center;
  align-items: center;
  border-radius: 50%;
  overflow: hidden;
  transition: transform 0.3s cubic-bezier(0.24, 0.45, 0.32, 1);
  will-change: transform;
  position: relative;
  margin: -4rem auto -16rem;
  background-image: none;
  background-position: center;
  background-size: cover;
  z-index: 2;
}

.stalker-button {
  position: relative;
  width: 30rem;
  height: 30rem;
  display: flex;
  justify-content: center;
  align-items: center;
  color: var(--main-black);
  border: 0.2rem solid var(--main-black);
  border-radius: 50%;
  font-weight: 600;
  line-height: 1;
  transition: all 0.3s cubic-bezier(0.24, 0.45, 0.32, 1);

  &::before {
    content: "";
    display: inline-block;
    width: calc(100% - 1rem);
    aspect-ratio: 1 / 1;
    border-radius: 50%;
    position: absolute;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);
    background-color: var(--main-black);
    opacity: 0;
    transition: all 0.3s cubic-bezier(0.24, 0.45, 0.32, 1);
    z-index: -1;
  }

  &::after {
    content: "";
    display: inline-block;
    width: calc(100% - 1rem);
    aspect-ratio: 1 / 1;
    position: absolute;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);
    border-radius: 50%;
    opacity: 0.8;
    transition: all 0.3s cubic-bezier(0.24, 0.45, 0.32, 1);
    background-color: var(--white);
    z-index: -2;
  }
}

@media (any-hover: hover) {
  a.stalker-button__wrap:hover .stalker-button {
    color: var(--white);
    &::before {
      opacity: 1;
    }
  }
}

@media screen and (max-width: 768px) {
  a.stalker-button__wrap {
    width: 32rem;
    height: 32rem;
  }

  .stalker-button {
    width: 26rem;
    height: 26rem;
    color: var(--white);
    font-size: 1.6rem;
    &::before {
      opacity: 1;
    }
    &::after {
      opacity: 0;
    }
  }
}

footer {
  position: relative;
  padding-top: 8rem;
  overflow-x: clip;
  color: #fff;

  &::before {
    content: "";
    display: inline-block;
    position: absolute;
    bottom: 0;
    left: 0;
    width: 100%;
    aspect-ratio: 2160 / 288;
    background-image: url(../img/footer-kazecruise.png);
    background-repeat: no-repeat;
    background-size: 100%;
    z-index: 2;
    opacity: 0.1;
  }
}

.footer__page-top {
  display: inline-block;
  width: 16rem;
  height: 16rem;
  position: absolute;
  top: 0;
  right: 2.4rem;
  z-index: 2;

  &::before {
    content: "";
    display: inline-block;
    width: 100%;
    height: 100%;
    position: absolute;
    inset: 0;
    background-image: url(../img/footer-pagetop.png);
    background-repeat: no-repeat;
    background-size: 100%;
    animation: FooterRotate 30s linear infinite;
  }

  &::after {
    content: "";
    display: inline-block;
    width: 2.4rem;
    height: 2.4rem;
    position: absolute;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%) rotate(-90deg);
    background-image: url(../img/icon-arrow.svg);
    background-repeat: no-repeat;
    background-size: 100%;
  }
}

.footer__wrap {
  position: relative;
  padding: 14rem 12rem 26rem;
  background-color: var(--main-blue);
  border-radius: 4rem 4rem 0 0;
}

.footer__wave {
  display: inline-block;
  aspect-ratio: 28 / 12;
  width: 28rem;
  position: absolute;
  top: 0;
  right: 0;

  &::before {
    content: "";
    display: inline-block;
    width: 100%;
    height: 100%;
    position: absolute;
    inset: 0;
    background-image: url(../img/footer-wave.svg);
    background-repeat: no-repeat;
    background-size: 100%;
  }
}

@keyframes FooterRotate {
  from {
    transform: rotate(0);
  }
  to {
    transform: rotate(360deg);
  }
}

.footer__inner {
  display: flex;
  justify-content: space-between;
  gap: 8rem 4rem;
  padding-bottom: 8rem;
  margin-bottom: 8rem;
  border-bottom: solid 1px var(--gray-normal);
  font-size: 1.4rem;
}

.footer__info__content {
  display: flex;
  align-items: center;
  gap: 4rem;
  margin-bottom: 4rem;

  address {
    margin-bottom: 2.4rem;
  }

  p {
    margin: 0;
  }

  a {
    color: #fff;
  }
}

.footer-sns {
  display: flex;
  align-items: center;
  justify-content: center;
  gap: 4rem;
  padding: 1.2rem 4rem;
  border-radius: 4rem;
  background-color: #fff;
  width: fit-content;
  color: var(--main-black);

  p {
    margin: 0;
    font-size: 1.2rem;
  }
}

.footer-sns__list {
  display: flex;
  justify-content: center;
  align-items: center;
  gap: 2.4rem;

  > li a {
    display: inline-block;
    width: 3rem;
    height: 3rem;

    img {
      width: 100%;
    }
  }
}

.footer__nav {
  display: flex;
  gap: 5.6rem;

  .footer__nav__list {
    > li {
      margin-bottom: 2.4rem;

      &:last-of-type {
        margin-bottom: 0;
      }

      a {
        color: #fff;
        transition: 0.4s;
      }
    }
  }
}

.footer__other__inner {
  display: flex;
  justify-content: space-between;

  .footer__other__list {
    display: flex;
    justify-content: center;
    flex-wrap: wrap;
    gap: 1.6rem 4rem;

    > li a {
      display: flex;
      align-items: center;
      column-gap: 0.8rem;
      font-size: 1.2rem;
      color: var(--gray-normal);
      transition: 0.2s;

      &::after {
        content: "";
        display: inline-block;
        width: 1.4rem;
        aspect-ratio: 1 / 1;
        mask-image: url(../img/icon-link-out.svg);
        mask-repeat: no-repeat;
        mask-position: center;
        mask-size: contain;
        background-color: var(--gray-normal);
      }
    }
  }

  small {
    font-size: 1rem;
    color: var(--gray-normal);
  }
}

@media (any-hover: hover) {
  .footer__nav {
    .footer__nav__list {
      > li {
        a:hover {
          opacity: 0.5;
        }
      }
    }
  }

  .footer__other__inner {
    .footer__other__list {
      > li a:hover {
        opacity: 0.5;
      }
    }
  }
}

@media screen and (max-width: 1024px) {
  .footer__wrap {
    padding: 16rem 2.4rem 24rem;
  }

  .footer__inner {
    align-items: center;
    flex-direction: column;
    padding-bottom: 8rem;
    margin-bottom: 8rem;
    border-bottom: solid 1px var(--gray-normal);
    font-size: 1.4rem;
  }
}

@media screen and (max-width: 768px) {
  footer {
    padding-top: 6rem;
  }

  .footer__page-top {
    width: 12rem;
    height: 12rem;
  }

  .footer__wave {
    width: 21rem;
  }

  .footer__wrap {
    padding: 8rem 2.4rem 12rem;
  }

  .footer__info__content {
    align-items: baseline;
    flex-direction: column;
  }

  .footer__nav {
    display: none;
  }

  .footer__other__inner {
    flex-direction: column;
    align-items: center;
    gap: 4rem;
  }
}

/* ----------------

  パンくずリスト

---------------- */

#breadcrumbs {
  position: absolute;
  right: 0;
  bottom: 0;
  padding: 0.8rem 2.4rem;
  margin: 0;
  background-color: var(--white);
  border-radius: 0.8rem 0 0 0;
  font-size: 1rem;
  z-index: 3;
  max-width: 100%;
  overflow-x: auto;

  > span {
    display: flex;
    column-gap: 0.4rem;

    > span {
      white-space: nowrap;

      a {
        color: var(--main-blue);
      }
    }
  }
}

/* ----------------

  スクロールヒント

---------------- */
.scroll-hint {
  position: relative;
  max-width: 100vw;
  overflow: auto;
  white-space: nowrap;
  clip-path: polygon(0 0, 100% 0, 100% 100%, 0% 100%);

  &.is-active::before {
    content: "";
    display: inline-block;
    width: 100%;
    height: 100%;
    position: absolute;
    inset: 0;
    background: rgba(0, 0, 0, 0.28);
    z-index: 1;
  }

  table {
    min-width: 100%;
  }
}

.scroll-hint::-webkit-scrollbar {
  height: 0.8rem;
}

.scroll-hint::-webkit-scrollbar-track {
  background-color: var(--white);
  border-radius: 0.8rem;
}

.scroll-hint::-webkit-scrollbar-thumb {
  background-color: var(--main-blue);
  border-radius: 0.8rem;
}

.scroll-hint__content {
  position: fixed;
  top: 50%;
  left: 50%;
  transform: translate(-50%, -50%);
  padding: 2.4rem;
  background: rgba(255, 255, 255, 0.92);
  border-radius: 1.6rem;
  color: var(--main-blue);
  visibility: hidden;
  animation: scroll-hint-animation 2s infinite ease;
  font-size: 1.2rem;
  /* transition-duration: 0.4s;
  transition-property: all;
  transition-timing-function: ease; */
  opacity: 0;
  z-index: 2;
}

.scroll-hint__content::before {
  content: "";
  display: block;
  margin: 0 auto 0.5rem;
  width: 2.4rem;
  height: 2.4rem;
  background-image: url("../img/icon-arrow.svg");
  background-size: contain;
  background-repeat: no-repeat;
  z-index: 2;
}

@keyframes scroll-hint-animation {
  0% {
    transform: translate(-50%, -50%);
  }
  50% {
    transform: translate(-40%, -50%);
  }
  100% {
    transform: translate(-50%, -50%);
  }
}

.scroll-hint.is-active .scroll-hint__content {
  visibility: visible;
  opacity: 1;
}

@media screen and (max-width: 768px) {
  .scroll-hint {
    margin: 0 calc(50% - 50vw);

    table {
      min-width: 76.8rem;
      margin: 0 2.4rem;

      th {
        min-width: 16rem;
      }

      td {
        min-width: 16rem;
      }
    }
  }
}

.scroll-area__beside,
.scroll-area__vertical {
  cursor: grab;
}

/* ----------------

  ツアー予約 追従ボタン

---------------- */

.tour-fixed__btn {
  position: fixed;
  display: inline-block;
  width: 16rem;
  aspect-ratio: 1 / 1;
  right: 2.4rem;
  bottom: 2.4rem;
  z-index: 9;
  display: flex;
  align-items: center;
  justify-content: center;
  color: var(--white);
  padding: 0 1.6rem;
  font-size: 1.4rem;
  text-align: center;

  &::before,
  &::after {
    content: "";
    display: inline-block;
    position: absolute;
    inset: 0;
    width: 100%;
    height: 100%;
    background-size: 100%;
    background-repeat: no-repeat;
  }

  &::before {
    background-image: url("../img/tour/fixed-btn__bg.png");
    animation: TourFixedBtnRotate 12s linear infinite reverse;
  }

  &::after {
    background-image: url("../img/tour/fixed-btn__line.png");
    animation: TourFixedBtnRotate 12s linear infinite;
  }

  span {
    position: relative;
    z-index: 2;
    display: inline-block;
    font-weight: 600;
    padding-top: 1.6rem;

    &::after {
      content: "";
      display: block;
      margin: 0.8rem auto 0;
      aspect-ratio: 24 / 13;
      width: 2.4rem;
      mask-image: url("../img/icon-arrow.svg");
      mask-position: center;
      mask-size: 100%;
      mask-repeat: no-repeat;
      background-color: var(--white);
    }
  }
}

@keyframes TourFixedBtnRotate {
  from {
    transform: rotate(0);
  }
  to {
    transform: rotate(360deg);
  }
}

@media screen and (max-width: 768px) {
  .tour-fixed__btn {
    width: 12rem;
    font-size: 1rem;
    right: 1.2rem;
    bottom: 1.2rem;
  }
}

.tour-cta__list {
  display: flex;
  gap: 2.4rem 4rem;
  padding: 0 12rem;

  > li:first-of-type {
    width: 38%;
  }

  > li:nth-of-type(2) {
    width: 62%;
  }
}

.tour-cta__btn__prev {
  position: relative;
  display: inline-block;
  padding: 7.2rem 4rem;
  width: 100%;
  border: solid 0.2rem var(--main-blue);
  color: var(--main-blue);
  border-radius: 2.4rem;
  font-size: 2.1rem;
  font-weight: 600;
  text-align: center;
  transition: 0.4s;
  z-index: 2;
  overflow: hidden;

  &::before {
    content: "";
    display: inline-block;
    width: 1.6rem;
    height: 1.6rem;
    border-top: solid 0.2rem var(--main-blue);
    border-left: solid 0.2rem var(--main-blue);
    position: absolute;
    top: calc(50% - 0.8rem);
    transform: translateY(-50%);
    left: 4rem;
    transform: translate(-50%) rotate(-45deg);
    transition: 0.4s;
  }

  &::after {
    content: "";
    display: inline-block;
    width: 0;
    height: 100%;
    position: absolute;
    top: 0;
    right: 0;
    background-color: var(--main-blue);
    transition: 0.4s;
    z-index: -1;
  }
}

.tour-cta__btn__contact {
  position: relative;
  display: inline-block;
  padding: 7.2rem 4rem;
  width: 100%;
  border: solid 0.2rem var(--accent-orange);
  color: var(--accent-orange);
  border-radius: 2.4rem;
  font-size: 2.1rem;
  font-weight: 600;
  text-align: center;
  transition: 0.4s;
  z-index: 2;
  overflow: hidden;

  &::before {
    content: "";
    display: inline-block;
    width: 1.6rem;
    height: 1.6rem;
    border-top: solid 0.2rem var(--accent-orange);
    border-right: solid 0.2rem var(--accent-orange);
    position: absolute;
    top: calc(50% - 0.8rem);
    transform: translateY(-50%);
    right: 4rem;
    transform: translate(-50%) rotate(45deg);
    transition: 0.4s;
    z-index: 1;
  }

  &::after {
    content: "";
    display: inline-block;
    width: 0;
    height: 100%;
    position: absolute;
    top: 0;
    left: 0;
    background-color: var(--accent-orange);
    transition: 0.4s;
    z-index: -1;
  }
}

@media (any-hover: hover) {
  .tour-cta__btn__prev:hover {
    color: var(--white);

    &::before {
      border-top: solid 0.2rem var(--white);
      border-left: solid 0.2rem var(--white);
    }
    &::after {
      width: 100%;
    }
  }

  .tour-cta__btn__contact:hover {
    color: var(--white);

    &::before {
      border-top: solid 0.2rem var(--white);
      border-right: solid 0.2rem var(--white);
    }

    &::after {
      width: 100%;
    }
  }
}

@media screen and (max-width: 1024px) {
  .tour-cta__list {
    padding: 0 2.4rem;
  }
}

@media screen and (max-width: 768px) {
  .tour-cta__list {
    flex-direction: column-reverse;

    > li:first-of-type {
      width: 100%;
    }

    > li:nth-of-type(2) {
      width: 100%;
    }
  }

  .tour-cta__btn__prev {
    font-size: 1.6rem;
    &::before {
      left: 2.4rem;
    }
  }
  .tour-cta__btn__contact {
    font-size: 1.6rem;
    &::before {
      right: 2.4rem;
    }
  }
}

.js-modal {
  position: fixed;
  inset: 0;
  width: 100%;
  height: 100%;
  text-align: center;
  background: rgba(0, 0, 0, 0.68);
  opacity: 0;
  visibility: hidden;
  transition: 0.4s;
  overflow-y: auto;
  z-index: 9999;
  padding: 12rem;
}

/* クラスが追加された時の指定 */
.modal.is-active {
  opacity: 1;
  visibility: visible;
}

.js-modal-close {
  background-color: var(--main-black);
  color: var(--main-black);
  padding: 1.6rem;
  border-radius: 4rem;
  color: var(--white);
  max-width: 32rem;
  width: 100%;
  transition: 0.4s;
}

@media (any-hover: hover) {
  .js-modal-close:hover {
    opacity: 0.4;
  }
}

@media screen and (max-width: 1024px) {
  .js-modal {
    padding: 12rem 2.4rem;
  }
}
